JavaScript
import Hyperspell from '@hyperspell/hyperspell';
const client = new Hyperspell({
apiKey: process.env['HYPERSPELL_API_KEY'], // This is the default and can be omitted
});
const response = await client.folders.listPolicies('182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e');
console.log(response.policies);import os
from hyperspell import Hyperspell
client = Hyperspell(
api_key=os.environ.get("HYPERSPELL_API_KEY"), # This is the default and can be omitted
)
response = client.folders.list_policies(
"182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
)
print(response.policies)package main
import (
"context"
"fmt"
"github.com/hyperspell/hyperspell-go"
"github.com/hyperspell/hyperspell-go/option"
)
func main() {
client := hyperspell.NewClient(
option.WithAPIKey("My API Key"),
)
response, err := client.Folders.ListPolicies(context.TODO(), "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e")
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", response.Policies)
}hyperspell folders list-policies \
--api-key 'My API Key' \
--connection-id 182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26ecurl --request GET \
--url https://api.hyperspell.com/connections/{connection_id}/folder-policies \
--header 'Authorization: Bearer <token>'
{
"policies": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"provider_folder_id": "<string>",
"folder_name": "<string>",
"folder_path": "<string>",
"parent_folder_id": "<string>",
"connection_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
]
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Folder Policies
List folder policies for a connection
List all folder policies for a specific connection.
GET
/
connections
/
{connection_id}
/
folder-policies
JavaScript
import Hyperspell from '@hyperspell/hyperspell';
const client = new Hyperspell({
apiKey: process.env['HYPERSPELL_API_KEY'], // This is the default and can be omitted
});
const response = await client.folders.listPolicies('182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e');
console.log(response.policies);import os
from hyperspell import Hyperspell
client = Hyperspell(
api_key=os.environ.get("HYPERSPELL_API_KEY"), # This is the default and can be omitted
)
response = client.folders.list_policies(
"182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
)
print(response.policies)package main
import (
"context"
"fmt"
"github.com/hyperspell/hyperspell-go"
"github.com/hyperspell/hyperspell-go/option"
)
func main() {
client := hyperspell.NewClient(
option.WithAPIKey("My API Key"),
)
response, err := client.Folders.ListPolicies(context.TODO(), "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e")
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", response.Policies)
}hyperspell folders list-policies \
--api-key 'My API Key' \
--connection-id 182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26eAuthorizations
APIKeyAsUser
API Key or JWT User Token. If using an API Key, set the X-As-User header to act as a specific user. A JWT User Token is always scoped to a specific user.
Path Parameters
Response
Successful Response
List of folder policies
Show child attributes
Show child attributes
Was this page helpful?
⌘I